import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PolicyDetailsRulesComponent } from './policy-details-rules.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('PolicyDetailsRulesComponent', () => {
  let component: PolicyDetailsRulesComponent;
  let fixture: ComponentFixture<PolicyDetailsRulesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PolicyDetailsRulesComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PolicyDetailsRulesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
